﻿@model VrstePostupkaViewModel

@{
    ViewData["Title"] = "Popis vrsta postupka";
}

<h1>Popis vrsta postupka</h1>
<p>
    <small>
        Prikaz šifrarničke tablice. Omogućeno je sortiranje, straničenje, uređivanje, brisanje i dodavanje novog podatka uz ispis prigodnih poruka o uspješnosti ili neuspješnosti te popup dijalog za brisanje.
    </small>
</p>

<a asp-action="Create">Stvori novu vrstu postupka</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">Id</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Naziv</a>
            </th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var vrsta in Model.Vrste)
        {
            <tr>
                <td class="text-left">@vrsta.Id</td>
                <td class="text-left">@vrsta.Naziv</td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-Id="@vrsta.Id"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Id" value="@vrsta.Id" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>